Bug 1146184 - CSV package is missing perl-MooseX-Getopt as dependency
Summary: CSV package is missing perl-MooseX-Getopt as dependency
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: perl-App-CSV
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Fabio Alessandro Locati
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-09-24 17:28 UTC by Georg Sauthoff
Modified: 2014-10-13 21:39 UTC (History)
1 user (show)

Fixed In Version: perl-App-CSV-0.08-5.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-03 04:02:44 UTC


Attachments (Terms of Use)

Description Georg Sauthoff 2014-09-24 17:28:51 UTC
Description of problem: The command 'csv' from the package 'csv' directly errors out because it can't locate MooseX/Getopt.pm.


Version-Release number of selected component (if applicable):


How reproducible: always


Steps to Reproduce:
1. install Fedora 20 from scratch
2. yum install csv
3. csv -i example.csv -c 2

Actual results:

Can't locate MooseX/Getopt.pm in @INC (you may need to install the MooseX::Getopt module) (@INC contains: /usr/local/lib64/perl5 /usr/local/share/perl5 /usr/lib64/perl5/vendor_perl /usr/share/perl5/vendor_perl /usr/lib64/perl5 /usr/share/perl5 .) at /usr/lib64/perl5/vendor_perl/Moose/Exporter.pm line 409.
Compilation failed in require at /usr/bin/csv line 9.
BEGIN failed--compilation aborted at /usr/bin/csv line 9.

Expected results:

The 2nd field of each record printed to stdout and exit status 0.


Additional info:

After manually executing `yum install  perl-MooseX-Getopt` the csv command works as expected.

Comment 1 Fedora Update System 2014-09-28 13:44:12 UTC
perl-App-CSV-0.08-4.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/perl-App-CSV-0.08-4.fc21

Comment 2 Fedora Update System 2014-09-28 13:44:18 UTC
perl-App-CSV-0.08-4.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/perl-App-CSV-0.08-4.fc19

Comment 3 Fedora Update System 2014-09-28 13:44:25 UTC
perl-App-CSV-0.08-5.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/perl-App-CSV-0.08-5.el7

Comment 4 Fedora Update System 2014-09-28 13:44:30 UTC
perl-App-CSV-0.08-5.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/perl-App-CSV-0.08-5.el6

Comment 5 Fedora Update System 2014-09-28 13:44:35 UTC
perl-App-CSV-0.08-4.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/perl-App-CSV-0.08-4.fc20

Comment 6 Fedora Update System 2014-09-28 18:30:14 UTC
Package perl-App-CSV-0.08-5.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing perl-App-CSV-0.08-5.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2014-2947/perl-App-CSV-0.08-5.el6
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2014-10-03 04:02:44 UTC
perl-App-CSV-0.08-4.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2014-10-08 19:04:27 UTC
perl-App-CSV-0.08-4.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2014-10-08 19:16:08 UTC
perl-App-CSV-0.08-4.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2014-10-13 21:38:01 UTC
perl-App-CSV-0.08-5.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2014-10-13 21:39:20 UTC
perl-App-CSV-0.08-5.el7 has been pushed to the Fedora EPEL 7 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.